<?php

namespace RxConnexionBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\FixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use RxConnexionBundle\Entity\SystemParameterEntity;

class LoadSysParamData implements FixtureInterface
{
    /**
     * {@inheritDoc}
     */
    public function load(ObjectManager $manager) {

        $sysParam = new SystemParameterEntity();
        $sysParam->setDescription('Productivity Report Physician Per Month Target');
        $sysParam->setValue('150');
        $manager->persist($sysParam);
        $manager->flush();

        $sysParam = new SystemParameterEntity();
        $sysParam->setDescription('SMS Appointment Reminder');
        $sysParam->setValue('1');
        $sysParam->setNote('Number of days interval on sending an SMS Reminder.');
        $manager->persist($sysParam);
        $manager->flush();
    }
}